require 'delegate'

sizeInInches = [10, 15, 22, 120]

class Feet < DelegateClass(Array)
	def initialize(arr)
		super(arr)
	end
	def [](*n)
		val = super(*n)
		case val.type
		when Numeric; val/12.0
		else;			val.collect {|i| i/12.0}
		end
	end
end

sizeInFeet = Feet.new(sizeInInches)
puts sizeInInches[0..3]
puts sizeInFeet[0..3]
